Package org.apache.felix.log

## Class LoggerAdminImpl

- java.lang.Object
- - org.apache.felix.log.LoggerAdminImpl

All Implemented Interfaces:
  `org.osgi.service.log.admin.LoggerAdmin`

    public class LoggerAdminImpl
    extends Object
    implements org.osgi.service.log.admin.LoggerAdmin

### Field Summary

### Fields inherited from interface org.osgi.service.log.admin.LoggerAdmin

`LOG_SERVICE_ID`

### Constructor Summary

Constructors
`LoggerAdminImpl​(String defaultLogLevelString, org.apache.felix.log.Log log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<L extends org.osgi.service.log.Logger> L` `getLogger​(org.osgi.framework.Bundle bundle, String name, Class<L> loggerType)`
`org.osgi.service.log.admin.LoggerContext` `getLoggerContext​(String name)`
`Set<String>` `getLoggerContextNames()`
`protected org.osgi.service.log.admin.LoggerContext` `getOrCreateLoggerContext​(String name)`
`void` `keepLoggerContext​(String name, LoggerContextImpl loggerContext)`
`protected void` `updateConfiguration​(String name, Dictionary<String,​Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerAdminImpl

    public LoggerAdminImpl​(String defaultLogLevelString,
                           org.apache.felix.log.Log log)

### Method Detail

#### getLoggerContext

    public org.osgi.service.log.admin.LoggerContext getLoggerContext​(String name)

Specified by:
  `getLoggerContext` in interface `org.osgi.service.log.admin.LoggerAdmin`

#### getLoggerContextNames

    public Set<String> getLoggerContextNames()

#### updateConfiguration

    protected void updateConfiguration​(String name,
                                       Dictionary<String,​Object> properties)

#### getOrCreateLoggerContext

    protected org.osgi.service.log.admin.LoggerContext getOrCreateLoggerContext​(String name)

#### keepLoggerContext

    public void keepLoggerContext​(String name,
                                  LoggerContextImpl loggerContext)

#### getLogger

    public <L extends org.osgi.service.log.Logger> L getLogger​(org.osgi.framework.Bundle bundle,
                                                               String name,
                                                               Class<L> loggerType)